summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavorin Učakar2015-06-08 22:51:16 +0200
committerDavorin Učakar2015-06-08 22:51:16 +0200
commit4541645bb8f6aad71bdc1b1ba6caf13b2c6e6258 (patch)
tree07d66ef67e6caf7d88e344fe81034264122d31c0
downloadaur-4541645bb8f6aad71bdc1b1ba6caf13b2c6e6258.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD29
-rw-r--r--hotspots.patch23
3 files changed, 70 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e1531ac97cb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = icon-slicer
+ pkgdesc = A utility for generating icon themes and libXcursor cursor themes
+ pkgver = 0.3
+ pkgrel = 6
+ url = http://freedesktop.org/wiki/Software/icon-slicer
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = gdk-pixbuf2
+ depends = popt
+ depends = xorg-xcursorgen
+ source = http://freedesktop.org/software/icon-slicer/releases/icon-slicer-0.3.tar.gz
+ source = hotspots.patch
+ sha1sums = 82284a87061ad9e1872e61963597c39ddcba53da
+ sha1sums = b9bf8e11ebc444fbcb3f6995d7e5a649f79d346f
+
+pkgname = icon-slicer
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..87ffa729da6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Contributor: William Rea <sillywilly@gmail.com>
+# Maintainer: Davorin Učakar <davorin.ucakar@gmail.com>
+
+pkgname=icon-slicer
+pkgver=0.3
+pkgrel=6
+pkgdesc='A utility for generating icon themes and libXcursor cursor themes'
+arch=('i686' 'x86_64')
+url='http://freedesktop.org/wiki/Software/icon-slicer'
+license=('GPL')
+depends=('gdk-pixbuf2' 'popt' 'xorg-xcursorgen')
+source=("http://freedesktop.org/software/${pkgname}/releases/icon-slicer-${pkgver}.tar.gz"
+ 'hotspots.patch')
+sha1sums=('82284a87061ad9e1872e61963597c39ddcba53da'
+ 'b9bf8e11ebc444fbcb3f6995d7e5a649f79d346f')
+
+build() {
+ cd "${srcdir}/icon-slicer-${pkgver}"
+
+ patch -p1 -i "${srcdir}/hotspots.patch"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/icon-slicer-${pkgver}"
+
+ make DESTDIR="${pkgdir}" install
+}
diff --git a/hotspots.patch b/hotspots.patch
new file mode 100644
index 00000000000..8ac41fb9857
--- /dev/null
+++ b/hotspots.patch
@@ -0,0 +1,23 @@
+diff -Nru icon-slicer-0.3.orig/src/main.c icon-slicer-0.3/src/main.c
+--- icon-slicer-0.3.orig/src/main.c 2003-06-25 15:17:32.000000000 -0500
++++ icon-slicer-0.3/src/main.c 2009-03-12 22:59:04.000000000 -0500
+@@ -103,7 +103,7 @@
+ if (n_channels == 3)
+ {
+ out->x = start_x;
+- out->y = start_x;
++ out->y = start_y;
+ out->width = source->gridsize;
+ out->height = source->gridsize;
+
+@@ -137,8 +137,8 @@
+ {
+ min_x = start_x + i;
+ max_x = start_x + i + 1;
+- min_y = start_y + i;
+- max_y = start_y + i + 1;
++ min_y = start_y + j;
++ max_y = start_y + j + 1;
+
+ found = TRUE;
+ }